' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit
Dim objAttribute, wshArguments

On Error Resume Next
Set wshArguments = WScript.Arguments

If wshArguments(0) = "" Then
	WScript.Echo "Enter an attribute LDAP name as an argument"
	WScript.Quit(1)
End If

Set objAttribute = GetObject("LDAP://schema/" & wshArguments(0))
With objAttribute
	WScript.Echo "Syntax: "			& .Syntax
	WScript.Echo "MultiValued: "	& .MultiValued
	WScript.Echo "MinRange: "		& .MinRange
	WScript.Echo "MaxRange: "		& .MaxRange
	WScript.Echo "OID: "			& .OID
End With
